Amazon Bulk Search Volume


This endpoint will provide you with search volume values for a maximum of 1,000 keywords in one API request. Here search volume represents the approximate number of monthly searches for a keyword on Amazon. The returned results are specific to the keywords, location, and language parameters specified in a POST request.

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
keywordsarray

target keywords
required field
UTF-8 encoding
maximum number of keywords you can specify in this array: 1000;
the keywords will be converted to lowercase format

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_namestring

full name of the location
required field if don't specify location_code
you can receive the list of available locations with their location_name by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;

Note: this endpoint currently supports the following locations and languages only:

Australia - 2036, en
Austria - 2040, de
Canada - 2124, en
Egypt - 2818, ar
France - 2250, fr
Germany - 2276, de
India - 2356, en
Italy - 2380, it
Mexico - 2484, es
Netherlands - 2528, nl
Saudi Arabia - 2682, ar
Singapore - 2702, en
Spain - 2724, es
United Arab Emirates - 2784, ar
United Kingdom - 2826, en
United States - 2840, en
example:
United States

location_codeinteger

location code
required field if don't specify location_name
you can receive the list of available locations with their location_code by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports these locations and languages only;
example:
2840

language_namestring

full name of the language
required field if don't specify language_code
you can receive the list of available languages with their language_name by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
Note: this endpoint currently supports these locations and languages only;
example:
English

language_codestring

language code
required field if don't specify language_name
you can receive the list of available languages with their language_code by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
Note: this endpoint currently supports these locations and languages only;
example:
en

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        se_typestring

search engine type

        location_codeinteger

location code in a POST array
if there is no data, then the value is null

        language_codestring

language code in a POST array
if there is no data, then the value is null

        total_countinteger

total amount of results in our database relevant to your request

        items_countinteger

the number of results returned in the items array

        itemsarray

contains keyword search volume data data

            se_typestring

search engine type

            keywordstring

keyword in a POST array

            search_volumeinteger

average monthly search volume rate
represents the (approximate) number of searches for the returned keyword on Amazon


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/dataforseo_labs/amazon/bulk_search_volume/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "keywords": [
            "buy laptop",
            "cheap laptops for sale",
            "purchase laptop"
        ],
        "location_code": 2840,
        "language_code": "en"
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to set a task
$post_array[] = array(
   "keywords" => [
      "phone",
      "iphone",
      "samsung"
   ],
   "language_name" => "English",
   "location_code" => 2840
);
try {
   // POST /v3/dataforseo_labs/amazon/bulk_search_volume/live
   $result = $client->post('/v3/dataforseo_labs/amazon/bulk_search_volume/live', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "keywords": [
    "phone",
    "iphone",
    "samsung"
  ],
  "language_name": "English",
  "location_code": 2840
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/dataforseo_labs/amazon/bulk_search_volume/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    keywords=[
        "phone",
        "iphone",
        "samsung"
    ],
    location_name="United States",
    language_name="English"
)
# POST /v3/dataforseo_labs/amazon/bulk_search_volume/live
response = client.post("/v3/dataforseo_labs/amazon/bulk_search_volume/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task dataforseo_labs_amazon_bulk_search_volume_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            postData.Add(new
            {
                keywords = new[]
                {
                    "phone",
                    "iphone",
                    "samsung"
                },
                location_name = "United States",
                language_name = "English"
            });
            // POST /v3/dataforseo_labs/amazon/bulk_search_volume/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/dataforseo_labs/amazon/bulk_search_volume/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20220216",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.1129 sec.",
    "cost": 0.0103,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "02231530-2806-0397-0000-d83c09581bd4",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.0378 sec.",
            "cost": 0.0103,
            "result_count": 1,
            "path": [
                "v3",
                "dataforseo_labs",
                "amazon",
                "bulk_search_volume",
                "live"
            ],
            "data": {
                "api": "dataforseo_labs",
                "function": "bulk_search_volume",
                "se_type": "amazon",
                "language_name": "English",
                "location_code": 2840,
                "keywords": [
                    "phone",
                    "iphone",
                    "samsung"
                ]
            },
            "result": [
                {
                    "se_type": "amazon",
                    "location_code": 2840,
                    "language_code": "en",
                    "total_count": 3,
                    "items_count": 3,
                    "items": [
                        {
                            "se_type": "amazon",
                            "keyword": "phone",
                            "search_volume": 33100
                        },
                        {
                            "se_type": "amazon",
                            "keyword": "iphone",
                            "search_volume": 53100
                        },
                        {
                            "se_type": "amazon",
                            "keyword": "samsung",
                            "search_volume": 26800
                        }
                    ]
                }
            ]
        }
    ]
}